{include _environment.yaml}

class: pyobs.modules.camera.DummyCamera
readout_time: 0
# if rotation is not set None, the PC Matrix is overwritten by ImageFitsHeaderMixin
rotation:

fits_headers:
  WCSAXES: [ 2, "Comment" ]
  CRPIX1: [ 1195.2545605796, "Comment" ]
  CRPIX2: [ 1031.8076958883, "Comment" ]
  PC1_1: [ -0.00060084027941286, "Comment" ]
  PC1_2: [ -0.052057192086615, "Comment" ]
  PC2_1: [ 0.054891854602827, "Comment" ]
  PC2_2: [ -0.00073949896926166, "Comment" ]
  CDELT1: [ 1.0, "Comment" ]
  CDELT2: [ 1.0, "Comment" ]
  CUNIT1: [ "deg", "Comment" ]
  CUNIT2: [ "deg", "Comment" ]
  CTYPE1: [ "RA---AIR-SIP", "Comment" ]
  CTYPE2: [ "DEC--AIR-SIP", "Comment" ]
  CRVAL1: [ 359.61108550652, "Comment" ]
  CRVAL2: [ 31.416129776264, "Comment" ]
  LONPOLE: [ 180.0, "Comment" ]
  LATPOLE: [ 31.416129776264, "Comment" ]
  MJDREF: [ 0.0, "Comment" ]
  RADESYS: [ "ICRS", "Comment" ]
  A_ORDER: [ 3, "Comment" ]
  A_0_2: [ -0.00015630563285242156, "Comment" ]
  A_0_3: [ -1.6225786855943367e-09, "Comment" ]
  A_1_1: [ -7.11405885212094e-06, "Comment" ]
  A_1_2: [ 6.641229215631077e-08, "Comment" ]
  A_2_0: [ -8.509167837901942e-05, "Comment" ]
  A_2_1: [ -2.858253312610882e-09, "Comment" ]
  A_3_0: [ 9.940844793780548e-08, "Comment" ]
  B_ORDER: [ 3, "Comment" ]
  B_0_2: [ 4.976793473695487e-06, "Comment" ]
  B_0_3: [ 8.709951903395686e-08, "Comment" ]
  B_1_1: [ 7.54764949893915e-05, "Comment" ]
  B_1_2: [ -1.0402281194607352e-09, "Comment" ]
  B_2_0: [ 7.503354619152504e-06, "Comment" ]
  B_2_1: [ 1.282581599768554e-07, "Comment" ]
  B_3_0: [ 2.44448533926602e-09, "Comment" ]
  AP_ORDER: [ 3, "Comment" ]
  BP_ORDER: [ 3, "Comment" ]
  NAXIS1: [2821, "Comment"]
  NAXIS2: [2071, "Comment"]

comm:
  class: pyobs.comm.xmpp.XmppComm
  jid: telcam@pyobs.test.de
  server: 172.18.0.1:5222
  password: pyobs


world:
    class: pyobs.utils.simulation.SimWorld
    time: "2020-10-21 22:00:00"

    camera:
        class: pyobs_allsky.testing.HeaderCamera #pyobs.utils.simulation.SimCamera
        image_size:
            - 3096
            - 2080
        seeing: 1.0


vfs:
    class: pyobs.vfs.VirtualFileSystem
    roots:
        cache:
            class: pyobs.vfs.HttpFile
            download: http://pyobs:37075
            upload: http://pyobs:37075